EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ExternalUsers_GetUser',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'ExternalUsers',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified external user.'
GO

IF OBJECT_ID('[ExternalUsers_GetUser]') IS NOT NULL DROP PROCEDURE [ExternalUsers_GetUser]
GO

CREATE PROCEDURE [ExternalUsers_GetUser]
(
	@UserDirectory_Id INT,
	@ExternalUser_Name NVARCHAR(200)
)
AS
BEGIN
	
	SET NOCOUNT ON

	SELECT *
	  FROM [ExternalUsers]
	 WHERE [UserDirectory_Id] = @UserDirectory_Id
	   AND [ExternalUser_Name] = @ExternalUser_Name

END
GO

GRANT EXECUTE ON [ExternalUsers_GetUser] TO [ProGetUser_Role]
GO
